import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { FileUploadDto, FileDto } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const fileControllerUpload: <Data = unknown>(fileUploadDto: FileUploadDto) => Promise<Data extends unknown ? string[] : Data>;
export declare const useFileControllerUpload: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string[], Error_1, {
    data: FileUploadDto;
}, unknown>) => import("react-query").UseMutationResult<string[], Error_1, {
    data: FileUploadDto;
}, unknown>;
export declare const fileControllerDownload: <Data = unknown>(id: string) => Promise<Data extends unknown ? FileDto : Data>;
export declare const getFileControllerDownloadQueryKey: (id: string) => string[];
export declare const useFileControllerDownload: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: string, queryConfig?: UseQueryOptions<FileDto, Error_1, FileDto, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: FileDto;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: FileDto;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const fileControllerDownloadAnonymously: <Data = unknown>(id: string) => Promise<Data extends unknown ? FileDto : Data>;
export declare const getFileControllerDownloadAnonymouslyQueryKey: (id: string) => string[];
export declare const useFileControllerDownloadAnonymously: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(id: string, queryConfig?: UseQueryOptions<FileDto, Error_1, FileDto, import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: FileDto;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: FileDto;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<FileDto, Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const fileControllerUploadAnonymously: <Data = unknown>(fileUploadDto: FileUploadDto) => Promise<Data extends unknown ? string[] : Data>;
export declare const useFileControllerUploadAnonymously: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<string[], Error_1, {
    data: FileUploadDto;
}, unknown>) => import("react-query").UseMutationResult<string[], Error_1, {
    data: FileUploadDto;
}, unknown>;
export {};
