import { UseQueryOptions, UseMutationOptions } from 'react-query';
import type { RegistrationDTO, RegisterResponseDTO, NewRegistrationDTO } from './issuerIRECAPI.schemas';
declare type AsyncReturnType<T extends (...args: any) => Promise<any>> = T extends (...args: any) => Promise<infer R> ? R : any;
export declare const registrationControllerGetRegistrations: <Data = unknown>() => Promise<Data extends unknown ? RegistrationDTO[] : Data>;
export declare const getRegistrationControllerGetRegistrationsQueryKey: () => string[];
export declare const useRegistrationControllerGetRegistrations: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(queryConfig?: UseQueryOptions<RegistrationDTO[], Error_1, RegistrationDTO[], import("react-query").QueryKey>) => {
    data: undefined;
    error: null;
    isError: false;
    isIdle: true;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "idle";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<RegistrationDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: true;
    isRefetchError: false;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<RegistrationDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: undefined;
    error: null;
    isError: false;
    isIdle: false;
    isLoading: true;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: false;
    status: "loading";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<RegistrationDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: RegistrationDTO[];
    error: Error_1;
    isError: true;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: true;
    isSuccess: false;
    status: "error";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<RegistrationDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
} | {
    data: RegistrationDTO[];
    error: null;
    isError: false;
    isIdle: false;
    isLoading: false;
    isLoadingError: false;
    isRefetchError: false;
    isSuccess: true;
    status: "success";
    dataUpdatedAt: number;
    errorUpdatedAt: number;
    failureCount: number;
    isFetched: boolean;
    isFetchedAfterMount: boolean;
    isFetching: boolean;
    isPlaceholderData: boolean;
    isPreviousData: boolean;
    isStale: boolean;
    refetch: (options?: import("react-query").RefetchOptions) => Promise<import("react-query").QueryObserverResult<RegistrationDTO[], Error_1>>;
    remove: () => void;
    queryKey: string[];
};
export declare const registrationControllerRegister: <Data = unknown>(newRegistrationDTO: NewRegistrationDTO) => Promise<Data extends unknown ? RegisterResponseDTO : Data>;
export declare const useRegistrationControllerRegister: <Data extends unknown = unknown, Error_1 extends unknown = unknown>(mutationConfig?: UseMutationOptions<RegisterResponseDTO, Error_1, {
    data: NewRegistrationDTO;
}, unknown>) => import("react-query").UseMutationResult<RegisterResponseDTO, Error_1, {
    data: NewRegistrationDTO;
}, unknown>;
export {};
